{ ... }:
{
  collections.news.entry = {
    title = "Fediversity tech session";
    description = "Fediversity tech session - NixOS and Kubernetes";
    date = "2024-08-05";
    author = "Laurens Hof";
    summary = ''
      Recently Fediversity hosted a tech session on NixOS and Kubernetes. We invited people within the community to discuss some design considerations of the Fediversity project with us.
    '';
    body = ''
      Recently Fediversity hosted a tech session on NixOS and Kubernetes. We invited people within the community to discuss some design considerations of the Fediversity project with us.

      One of the core ideas of Fediversity is to build on top of NixOS. NixOS makes upgrading system reliable, and complex deployment reproducable. One of the goals of the Fediversity project that provides an interesting challenge is to help people move away from the cloud hyperscalers. Offering our project on Kubernetes offers easy integration with the storage platforms of the hyperscalers. Easy integration with the hyperscalers is an explicit anti-goal of Fediversity, but we're not sure if we can offer all the functionality with NixOS yet.

      You can check out our entire conversation right here.
    '';
  };
}
